Bug 822152 - [abrt] fedora-easy-karma-0-0.16.20110825git36efb338.fc17: proxyclient.py:396:send_request:error: (56, 'SSL read: errno -5961 (PR_CONNECT_RESET_ERROR)')
[abrt] fedora-easy-karma-0-0.16.20110825git36efb338.fc17: proxyclient.py:396:...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
abrt_hash:bb376caf8cf2d176e5567ebd065...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 09:55 EDT by G.Wolfe Woodbury
Modified: 2012-11-13 12:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 12:10:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2012-05-16 09:55:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/fedora-easy-karma --fas-username=redwolfe
comment:        standard invocation
executable:     /usr/bin/fedora-easy-karma
kernel:         3.3.4-5.fc17.x86_64
time:           Wed 16 May 2012 09:41:10 AM EDT
uid:            1000
username:       ggw

backtrace:
:proxyclient.py:396:send_request:error: (56, 'SSL read: errno -5961 (PR_CONNECT_RESET_ERROR)')
:
:Traceback (most recent call last):
:  File "/usr/bin/fedora-easy-karma", line 510, in <module>
:    FedoraEasyKarma()
:  File "/usr/bin/fedora-easy-karma", line 310, in __init__
:    testing_updates = bc.query(release=release, status="testing", limit=1000)["updates"]
:  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 147, in query
:    return self.send_request('list', req_params=params, auth=auth)
:  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
:    auth_params=auth_params, retries=retries)
:  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 396, in send_request
:    request.perform()
:error: (56, 'SSL read: errno -5961 (PR_CONNECT_RESET_ERROR)')
:
:Local variables in innermost frame:
:username: None
:retries: 0
:req_params: {'status': 'testing', '_csrf_token': '286417e673ab48e202b038e3c983e145ed6c279c', 'release': 'F17', 'updates_tgp_limit': 1000}
:i: ('updates_tgp_limit', 1000)
:self: <fedora.client.bodhi.BodhiClient object at 0x115b950>
:request: <pycurl.Curl object at 0x1e82590>
:session_id: '9d601a1cd6750cbfabd779701899dc5c35c16b5b'
:req_data: 'status=testing&_csrf_token=286417e673ab48e202b038e3c983e145ed6c279c&release=F17&updates_tgp_limit=1000'
:auth_params: {'session_id': '9d601a1cd6750cbfabd779701899dc5c35c16b5b'}
:headers: ['User-agent: Fedora Easy Karma/0-0.16.20110825git36efb338.fc17', 'Accept: application/json', 'Expect:']
:token: <sha1 HASH object @ 0x1e3e0d0>
:num_tries: 0
:complete_params: {'status': 'testing', '_csrf_token': '286417e673ab48e202b038e3c983e145ed6c279c', 'release': 'F17', 'updates_tgp_limit': 1000}
:url: 'https://admin.fedoraproject.org/updates/list'
:file_params: None
:method: 'list'
:password: None
:data: None
:response: <fedora.client.proxyclient._PyCurlData object at 0x1e3d2d0>
Comment 1 G.Wolfe Woodbury 2012-05-16 10:19:43 EDT
see also BZ 821434 for similar bug
Comment 2 G.Wolfe Woodbury 2012-11-13 12:10:59 EST
now irrelevant
closing: insufficient_data

Note You need to log in before you can comment on or make changes to this bug.